fuse-emulator (1.8.0+dfsg-2) unstable; urgency=medium

  * sdl2-full-screen.patch:
    - Add missing "Full screen" option to the SDL Options menu.
  * sdl2-tape-icon.patch:
    - Fix Timex tape icon placement in the SDL build.

 -- Alberto Garcia <berto@igalia.com>  Mon, 18 May 2026 12:42:34 +0200

fuse-emulator (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh all patches.
  * Build using SDL2 (Closes: #1038355):
    - debian/control: remove build dependency on libsdl1.2-dev.
    - sdl2-joystick.patch: use SDL2 for joystick support
    - debian/rules: use --with-sdl2 --with-audio-driver=sdl2.
  * debian/rules:
    - Stop setting {GLIB,GDK}_DISABLE_DEPRECATION_WARNINGS, Fuse does that
      now by default.
    - fuse.desktop is now net.sourceforge.fuse_emulator.Fuse.desktop,
      rename rules and install files accordingly.
  * debian/control:
    - Update Standards-Version to 4.7.4.
  * debian/copyright:
    - Add copyright information about the AppStream metadata file.
  * debian/fuse-emulator-common.lintian-overrides:
    - Override appstream-metadata-validation-failed. This happens because
      the .desktop file is not found during validation. The reason is that
      we install it manually.
  * gresources-precedence.patch:
    - When building resources, give the build dir precedence over the
      source dir. The Fuse tarball ships an incorrect version of
      ui/gtk3/menu_data.ui file, we have to use the one generated by us.

 -- Alberto Garcia <berto@igalia.com>  Sat, 16 May 2026 18:55:11 +0200

fuse-emulator (1.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Use desktop-file-edit to edit the .desktop files.
    - Use +dfsg instead of +dfsg1 for the version number (see lintian
      anticipated-repack-count).
  * debian/control:
    - Add build dependency on desktop-file-utils.
    - Require libspectrum >= 1.6.0.
    - Remove redundant fields: 'Rules-Requires-Root: no' and
      'Priority: optional'.
    - Update Standards-Version to 4.7.3.
    - Set debhelper compatibility level to v13.
  * Refresh all patches.
  * Drop complete-zip-files.patch.
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Tue, 24 Mar 2026 20:14:06 +0100

fuse-emulator (1.6.0+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/complete-zip-files.patch:
    - Add ZIP files to the bash completion script (Closes: #989352).

 -- Alberto Garcia <berto@igalia.com>  Tue, 17 Aug 2021 00:51:03 +0200

fuse-emulator (1.6.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Set Upstream-Name to 'fuse'.
    - Set Upstream-Contact to the address of the official mailing list.
    - Update copyright years.
  * Add upstream metadata file.
  * Remove the upstream PGP signing key, the Fuse 1.6.0 tarball is
    not signed.
  * Refresh all patches and remove the following obsolete ones:
    - prefer-x11-over-wayland.patch
    - show-fuse-icon.patch
    - select-audio-driver.patch
    - remove-duplicate-symbol.patch
  * debian/control:
    - Build depend on libspectrum 1.5.0.
    - Remove build dependency on libasound2-dev, we are using the SDL
      audio driver now.
    - Add build dependency on libsdl2-dev (for the GTK build).
    - Update Standards-Version to 4.5.1 (no changes).
  * debian/watch:
    - Set version to 4 (fixes older-debian-watch-file-standard)
  * debian/rules:
    - Build with hardening=+bindnow.
  * Replace GTK+ with GTK in the package description and desktop files.

 -- Alberto Garcia <berto@igalia.com>  Thu, 04 Mar 2021 00:00:55 +0100

fuse-emulator (1.5.7+dfsg1-4) unstable; urgency=medium

  * Set the debhelper compatibility level to 12:
    - Get rid of debian/compat.
    - Add build dependency on debhelper-compat.
  * debian/control:
    - Make fuse-emulator-common Multi-Arch: foreign.
    - Update Standards-Version to 4.5.0 (no changes).
  * debian/patches/remove-duplicate-symbol.patch:
    - Remove duplicate symbol. Fixes FTBFS with GCC 10 (Closes: #957242).
  * debian/rules:
    - Disable GTK and GLib deprecation warnings.

 -- Alberto Garcia <berto@igalia.com>  Sun, 02 Aug 2020 02:23:30 +0200

fuse-emulator (1.5.7+dfsg1-3) unstable; urgency=medium

  * debian/patches/select-audio-driver.patch:
    - This patch adds a configure option to select the audio driver.
  * debian/rules:
    - Always use the SDL audio driver, since the Alsa driver has been
      reported to cause problems in some cases (the emulation running much
      faster than it should).
  * debian/control:
    - Update Standards-Version to 4.4.1 (no changes).
    - Add Rules-Requires-Root: no.
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Tue, 07 Jan 2020 13:50:48 +0100

fuse-emulator (1.5.7+dfsg1-2) unstable; urgency=medium

  * debian/patches/prefer-x11-over-wayland.patch:
    - Prefer the X11 GDK backend over the Wayland one, as the latter is
      known to have problems (see upstream bug #367) (Closes: #872994).
  * debian/patches/show-fuse-icon.patch:
    - Show the Fuse icon on the GTK window and About dialog.

 -- Alberto Garcia <berto@igalia.com>  Fri, 16 Aug 2019 11:49:27 +0300

fuse-emulator (1.5.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Remove the 'Breaks' and 'Replaces' fields from fuse-emulator-common,
      they are no longer necessary.
  * debian/control:
    - Update Standards-Version to 4.2.1 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Tue, 11 Dec 2018 12:33:12 +0200

fuse-emulator (1.5.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/manpage-errors.patch:
    - Some hunks are no longer needed, remove them.
  * debian/patches/load-opense-rom.patch,
    debian/patches/missing-roms-help.patch,
    debian/patches/rom-search-path.patch:
    - Refresh these patches.
  * debian/control:
    - Update Standards-Version to 4.2.0 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Wed, 08 Aug 2018 14:02:14 +0300

fuse-emulator (1.5.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update Standards-Version to 4.1.5 (no changes).
  * debian/patches/rom-search-path.patch:
    - Update patch.

 -- Alberto Garcia <berto@igalia.com>  Thu, 05 Jul 2018 23:20:15 +0200

fuse-emulator (1.5.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add Vcs-* fields.

 -- Alberto Garcia <berto@igalia.com>  Wed, 06 Jun 2018 12:18:18 +0300

fuse-emulator (1.5.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update package description to list recently added features.
    - Update Standards-Version to 4.1.4 (no changes).
  * Set debhelper compatibility level to v10:
    - debian/control: update build dependency on debhelper and remove
      build dependency on dh-autoreconf.
    - debian/compat: update compatibility level.
    - debian/rules: remove '--with autoreconf --parallel', these are now
      enabled by default.
  * debian/patches/phantom-typist-sound.patch:
    - Remove this patch.
  * debian/patches/compile-without-roms.patch:
    - Refresh this patch.

 -- Alberto Garcia <berto@igalia.com>  Wed, 02 May 2018 12:40:51 +0300

fuse-emulator (1.5.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh the following patches:
    - debian/patches/bash-completion.patch
    - debian/patches/manpage-errors.patch
  * debian/patches/phantom-typist-sound.patch:
    - Cherry pick this bug fix from git master.

 -- Alberto Garcia <berto@igalia.com>  Wed, 11 Apr 2018 00:12:52 +0200

fuse-emulator (1.5.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh the following patches:
    - debian/patches/bash-completion.patch
    - debian/patches/load-opense-rom.patch
    - debian/patches/manpage-errors.patch
  * debian/copyright:
    - Update copyright years.
  * debian/control:
    - Update Standards-Version to 4.1.3 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Tue, 27 Feb 2018 10:28:50 +0200

fuse-emulator (1.5.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh the following patches:
    - debian/patches/compile-without-roms.patch
    - debian/patches/manpage-errors.patch
  * Drop disable-autoload.patch and update load-opense-rom.patch to
    implement the same functionality.
  * debian/control:
    - Update Standards-Version to 4.1.2 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Wed, 13 Dec 2017 22:11:23 +0100

fuse-emulator (1.4.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh the following patches:
    - debian/patches/disable-autoload.patch
    - debian/patches/manpage-errors.patch
  * debian/control:
    - Update Standards-Version to 4.1.1 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Wed, 11 Oct 2017 12:12:56 +0300

fuse-emulator (1.4.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Use https for the Format URL.
  * debian/control:
    - Build depend on libspectrum 1.4.0.
    - Update Standards-Version to 4.1.0 (no changes).
  * Refresh the following patches:
    - debian/patches/bash-completion.patch
    - debian/patches/load-opense-rom.patch
    - debian/patches/manpage-errors.patch

 -- Alberto Garcia <berto@igalia.com>  Wed, 06 Sep 2017 12:41:52 +0300

fuse-emulator (1.3.8+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update Standards-Version to 4.0.0 (no changes).
    - Build depend on libspectrum 1.3.6.
  * Refresh the following patches:
    - debian/patches/manpage-errors.patch

 -- Alberto Garcia <berto@igalia.com>  Fri, 04 Aug 2017 10:39:48 +0300

fuse-emulator (1.3.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Build depend on libspectrum 1.3.5.
  * debian/rules:
    - Use DEB_VERSION_UPSTREAM from pkg-info.mk instead of
      dpkg-parsechangelog.
  * Refresh the following patches:
    - debian/patches/bash-completion.patch
    - debian/patches/load-opense-rom.patch
    - debian/patches/manpage-errors.patch

 -- Alberto Garcia <berto@igalia.com>  Thu, 13 Jul 2017 14:27:31 +0200

fuse-emulator (1.3.6+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Alberto Garcia <berto@igalia.com>  Wed, 21 Jun 2017 00:24:27 +0300

fuse-emulator (1.3.6+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - Build depend on libspectrum 1.3.4.
  * Refresh the following patches:
    - debian/patches/bash-completion.patch
    - debian/patches/load-opense-rom.patch
    - debian/patches/manpage-errors.patch

 -- Alberto Garcia <berto@igalia.com>  Fri, 02 Jun 2017 12:01:56 +0300

fuse-emulator (1.3.5+dfsg1-1) experimental; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Sun, 30 Apr 2017 15:08:06 +0300

fuse-emulator (1.3.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * manpage-errors.patch:
    - Refresh.
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Sat, 04 Feb 2017 12:39:48 +0200

fuse-emulator (1.3.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh these patches:
    - debian/patches/load-opense-rom.patch
    - debian/patches/manpage-errors.patch

 -- Alberto Garcia <berto@igalia.com>  Fri, 09 Dec 2016 10:56:36 +0200

fuse-emulator (1.3.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh these patches:
    - compile-without-roms.patch
    - desktop-file.patch
    - disable-autoload.patch
    - load-opense-rom.patch
    - missing-roms-help.patch
    - rom-search-path.patch

 -- Alberto Garcia <berto@igalia.com>  Tue, 08 Nov 2016 14:16:27 +0200

fuse-emulator (1.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh these patches:
    - bash-completion.patch
    - load-opense-rom.patch
    - manpage-errors.patch

 -- Alberto Garcia <berto@igalia.com>  Mon, 03 Oct 2016 10:06:34 +0300

fuse-emulator (1.2.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh the following patches:
    - compile-without-roms.patch
    - manpage-errors.patch

 -- Alberto Garcia <berto@igalia.com>  Tue, 23 Aug 2016 09:46:36 -0400

fuse-emulator (1.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh the following patches:
    - compile-without-roms.patch
    - disable-autoload.patch
    - load-opense-rom.patch
    - manpage-errors.patch
    - missing-roms-help.patch
  * debian/rules:
    - Update sed rules for the new desktop file.
  * debian/copyright:
    - Remove reference to missing mkstemp.c file.

 -- Alberto Garcia <berto@igalia.com>  Sat, 23 Jul 2016 01:21:48 +0200

fuse-emulator (1.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #745402).
  * Verify GPG signature of the upstream tarball:
    - debian/upstream/signing-key.asc:
      + Add key file.
    - debian/watch:
      + Add pgpsigurlmangle option.
  * Drop the following patches:
    - button-settings.patch
    - dont-use-sdl-audio.patch
  * Refresh the following patches:
    - compile-without-roms.patch
    - missing-roms-help.patch
    - load-opense-rom.patch
    - disable-autoload.patch
    - desktop-file.patch
    - manpage-errors.patch
  * Build with bash completion support.
    - debian/rules:
      + Enable bash completion in configure.
    - bash-completion.patch:
      + Add bash completion for the fuse-gtk and fuse-sdl binaries.
  * debian/rules:
    - Build both binaries with -DNDEBUG -DG_DISABLE_CAST_CHECKS.
    - Use separate build directories for the GTK+ and SDL versions.
    - Add 'Keywords' field to the .desktop files.
  * debian/control:
    - Build depend on libspectrum 1.2.0.
    - Update Standards-Version to 3.9.8 (no changes).
    - Update package descriptions with the new features in this release.
  * debian/copyright:
    - Update copyright years.
  * debian/fuse-emulator-common.install:
    - Install hacking/{peripheral_tests.txt,spectranet.txt}.

 -- Alberto Garcia <berto@igalia.com>  Wed, 08 Jun 2016 01:46:07 +0300

fuse-emulator (1.1.1+dfsg1-3) unstable; urgency=medium

  * debian/rules:
    - Enable parallel builds.
  * button-settings.patch:
    - Fix segmentation fault in the GTK+ UI due to uninitialised keyboard
      button settings.
  * debian/control:
    - Update Standards-Version to 3.9.6 (no changes).
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Tue, 05 May 2015 14:32:31 +0300

fuse-emulator (1.1.1+dfsg1-2) unstable; urgency=low

  [ Sergio Baldovi ]
  * debian/rules: don't override the hardening flags in the GTK+ version
    (Closes: #712098).

 -- Alberto Garcia <berto@igalia.com>  Thu, 13 Jun 2013 11:55:48 +0300

fuse-emulator (1.1.1+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Update my e-mail address in debian/*.
  * Remove the following patches, which have already been merged in this
    release:
    - 04_unfiltered-audio.patch
    - 05_fix-missing-roms-crash.patch
    - 08_include-zlib.patch
    - 10_fix-joystick-crash.patch
  * Refresh all remaining patches and remove their numbering.
  * Build with hardening options.
    - debian/compat: bump debhelper compatibility level to 9.
    - debian/control: update build dependency on debhelper as well.
  * debian/rules: compile Fuse with --enable-gtk3.
    - debian/control: replace build dependency on GTK+ 2 with GTK+ 3.
  * debian/rules: compile Fuse with --enable-desktop-integration.
    - debian/fuse-emulator-common.install: remove fuse.png.
    - debian/rules: don't create fuse.png from winfuse.ico.
    - debian/control: remove build dependency on icoutils.
  * Remove debian/fuse-{sdl,gtk}.desktop and use data/fuse.desktop
    to generate them.
    - debian/rules: generate fuse-{sdl,gtk}.desktop.
    - desktop-file.patch: don't install data/fuse.desktop.
  * manpage-errors.patch: fix formatting errors in the manual page.
  * debian/fuse-emulator-common.install: install menu_data.ui, necessary
    for the GTK+ version.
    - debian/rules: keep the file after the GTK+ build, otherwise it will
      be removed by dh_auto_clean.
  * debian/control:
    - Update build dependency on libspectrum to >= 1.1.0.
    - Add build dependency on zlib1g-dev.
    - Remove obsolete DM-Upload-Allowed flag.
    - Update Standards-Version to 3.9.4 (no changes).
    - Update description with new features.
  * debian/copyright: update copyright years.
  * debian/rules: add get-orig-source rule to create the Debian source
    tarball.

 -- Alberto Garcia <berto@igalia.com>  Tue, 04 Jun 2013 19:28:27 +0200

fuse-emulator (1.0.0.1a+dfsg1-4) unstable; urgency=low

  * Add headers to all patches.
  * 01_compile-without-roms.patch: apply against Makefile.am and
    configure.in.
    - debian/control: Add build dependency on dh-autoreconf.
    - debian/rules: Run dh --with autoreconf.
  * 09_dont-use-sdl-audio.patch: Don't use the SDL audio driver, it has
    issues with PulseAudio. Use Alsa instead.
  * 10_fix-joystick-crash.patch: Don't crash with joysticks with more than
    10 buttons (Closes: #665640).
  * Use the 48x48 version of the Fuse icon:
    - debian/control: build-depend on icoutils instead of imagemagick.
    - debian/fuse-emulator-common.install: change icon path.
    - debian/rules: use icotool to extract the icon.
  * Disable GObject cast checks in the GTK+ version:
    - debian/rules: add -DG_DISABLE_CAST_CHECKS to the CFLAGS variable.
  * debian/control: update Standards-Version to 3.9.3.
  * debian/copyright: update debian copyright format URL.

 -- Alberto Garcia <agarcia@igalia.com>  Sun, 25 Mar 2012 23:43:31 +0300

fuse-emulator (1.0.0.1a+dfsg1-3) unstable; urgency=low

  * debian/control: rather than depend on them, make fuse-emulator-common
    recommend one of the actual emulator packages. This breaks a circular
    dependency (Closes: #649986).
  * debian/control: get rid of the fuse-emulator virtual package.

 -- Alberto Garcia <agarcia@igalia.com>  Fri, 25 Nov 2011 10:30:41 +0100

fuse-emulator (1.0.0.1a+dfsg1-2) unstable; urgency=low

  * 08_include-zlib.patch: fix FTBFS with libpng 1.5 (Closes: #649803).
  * debian/control: change build dependency on libpng12-dev to libpng-dev
    for the transition to libpng 1.5.
  * debian/control: lintian complains if we only depend on the
    fuse-emulator virtual package, so now we're listing fuse-emulator-gtk
    as the first alternative.
  * debian/copyright: convert file to the machine-readable format, and
    change license of the Debian packaging to GPL-2+.

 -- Alberto Garcia <agarcia@igalia.com>  Thu, 24 Nov 2011 11:48:33 +0100

fuse-emulator (1.0.0.1a+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: add dependency on opense-basic as an alternative to
    spectrum-roms, but suggest spectrum-roms anyway.
  * debian/control: move the package from contrib to main. Now that
    there's opense-basic, the non-free package spectrum-roms is no longer
    a requisite. See README.Debian for details.
  * debian/control: add DM-Upload-Allowed flag.
  * debian/control: update Standards-Version to 3.9.2.
  * Refresh 04_unfiltered-audio.patch.
  * New patches:
    - 06_load-opense-rom.patch: load the OpenSE BASIC ROM if the original
      Spectrum ROMs are not found.
    - 07_disable-autoload.patch: don't use the auto load feature with
      OpenSE BASIC.
  * debian/watch: update regular expression to include letters in the
    version number.
  * debian/README.Debian: update notes to mention OpenSE BASIC.
  * debian/copyright: the legal status of the ROMs distributed in the
    upstream tarball is not unclear anymore.
  * debian/copyright: list files released under the GNU LGPL.
  * debian/fuse-emulator-{common,gtk,sdl}.lintian-overrides: the package
    description is really meant to start with 'The'.

 -- Alberto Garcia <agarcia@igalia.com>  Wed, 15 Jun 2011 00:44:46 +0300

fuse-emulator (1.0.0+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #608203).

 -- Alberto Garcia <agarcia@igalia.com>  Tue, 28 Dec 2010 18:10:50 +0100
